﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Configuration;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void simpleBtn_Click(object sender, EventArgs e)
    {
        string fileName = hiddenField.Value;
        string fileUploadPath = Server.MapPath("~") + "Images\\";

        string ext = Path.GetExtension(fileName);
        string filePath = String.Format("{0}{1}", fileUploadPath, fileName);
        string fname = Path.GetFileNameWithoutExtension(fileName);

        if (System.IO.File.Exists(filePath))
        {
            RenameFile(fileName, filePath, fileUploadPath, fname, ext);
        }
        else
        {
            System.IO.File.Copy(filePath, fileUploadPath + "\\" + fname + "(0)" + ext, true);
        }
    }

    public static int counter = 0;

    public static void RenameFile(string fileName, string filePath, string folderPath, string onlyName, string ext)
    {
        string newFilePath = String.Format("{0}{1}{2}", folderPath, onlyName + "(" + counter + ")", ext);

        if (System.IO.File.Exists(newFilePath))
        {
            counter++;
            RenameFile(fileName, filePath, folderPath, onlyName, ext);
        }
        else
        {
            System.IO.File.Copy(filePath, folderPath + "\\" + onlyName + "(" + counter + ")" + ext, true);

        }
    }
}